- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#body.AliasNetworkEndpoint.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/get#try-it)

API Version : 2026-10-01-preview
Returns the specified AliasNetworkEndpoint resource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/aliasNetworkEndpoints/{aliasNetworkEndpoint}?$apiVersion=2026-10-01-preview`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. Project ID for this request. |
| `zone` | `string` Required. Name of the zone scoping this request. |
| `aliasNetworkEndpoint` | `string` Required. Name of the AliasNetworkEndpoint resource to return. |

### Request body

The request body must be empty.

### Response body

Represents an Alias Network Endpoint resource. To be used for GKE pod-native endpoints in Andromeda.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": string, "name": string, "description": string, "aliases": { string: { "ipAddress": string, "ipVersion": enum, "subnetworkRangeNames": [ string ], "effectiveIpAddress": string, "effectiveSubnetworkRangeName": string }, ... }, "host": { "instance": string }, "subnetwork": string, "securityTagInheritance": enum, "labels": { string: string, ... }, "annotations": { string: string, ... }, "selfLink": string, "creationTimestamp": string, "updateTime": string, "status": { "state": enum, "network": string } } ``` |

| Fields ||
|---|---|
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `name` | `string` Identifier. Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. |
| `description` | `string` Optional. An optional description of this resource. Provide this field when you create the resource. |
| `aliases[]` | `map (key: string, value: object)` Required. The map of network aliases allocated for the AliasNetworkEndpoint. This map is keyed with user-provided alias names. |
| `aliases[].ipAddress` | `string` Input only. The IP address of the network endpoint. If specified, the server performs a validation check for uniqueness. If the field is omitted, the system automatically allocates an IP and populates the effectiveIpAddress field. |
| `aliases[].ipVersion` | `enum` Required. The IP version of the IP. It is IPv4 or IPv6. |
| `aliases[].subnetworkRangeNames[]` | `string` Input only. Defines candidate secondary ranges for allocating the alias IPs. If it is empty, the IP would be allocated from the primary range of the subnetwork. This field is INPUT_ONLY and used only during resource creation, hence a repeated field is acceptable as per AIP-2825. It is not mutable. |
| `aliases[].effectiveIpAddress` | `string` Output only. The actual IP address allocated by the system. |
| `aliases[].effectiveSubnetworkRangeName` | `string` Output only. The actual secondary range used for allocation. |
| `host` | `object` Required. The host that the alias network endpoint is bound to. |
| `host.instance` | `string` Required. The URL to the instance that this alias network endpoint is bound to. |
| `subnetwork` | `string` Required. The URL of the subnetwork that this alias network endpoint belongs to. |
| `securityTagInheritance` | `enum` Optional. The security tag inheritance setting for the AliasNetworkEndpoint. |
| `labels` | `map (key: string, value: string)` Optional. The labels map for the AliasNetworkEndpoint. |
| `annotations` | `map (key: string, value: string)` Optional. The annotations map for the AliasNetworkEndpoint. Keys and values must follow Kubernetes limits. Keys must be a maximum of 253 characters. Keys should be dot-namespaced, following the Kubernetes annotation key format: `([DNS subdomain]/)?[RFC 1123 name]`. Values must be a maximum of 256 characters. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `creationTimestamp` | `string` Output only. Creation timestamp in RFC3339 text format. |
| `updateTime` | `string` Output only. Update timestamp in RFC3339 text format. |
| `status` | `object` Output only. Current status of the alias network endpoint. |
| `status.state` | `enum` Output only. The state of the alias network endpoint. |
| `status.network` | `string` Output only. The URL of the network that this alias network endpoint belongs to. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).